# VLC Remote

A [VLC](https://www.videolan.org/vlc/) remote control written with [Flutter](https://flutter.io/).

## Initial Setup Guides

The first time you start VLC Remote, it will provide a guide to setting up VLC's web interface
 for remote control and will give you the option to try to discover the IP of the host VLC is
  running on automatically.

The app's guides for initial VLC configuration and finding your host IP if it can't be found
 automatically are also available here if you need to reference them on a computer:

### [VLC Remote Configuration Guides](https://codepen.io/jbscript/full/BaoVYYK)

## Demo

[![Demo of VLC Remote being used](https://img.youtube.com/vi/8eXJX4GVGhA/0.jpg)](https://www.youtube.com/watch?v=8eXJX4GVGhA)

## Screenshots

## Initial setup screens

| Setup screen  | Choose OS for setup guide | Setup guide | Connected |
| ------------- | ------------------------- | ----------- | --------- |
| [![](screenshots/setup.png)](screenshots/setup.png) | [![](screenshots/setup-guide-os.png)](screenshots/setup-guide-os.png) | [![](screenshots/setup-guide-steps.png)](screenshots/setup-guide-steps.png) | [![](screenshots/vlc-connected.png)](screenshots/vlc-connected.png) |

### Browsing for and playing media

| Open media  | File browser | Playlist | Playlist Menu |
| ----------- | ------------ | -------- | ------------- |
| [![](screenshots/open-media.png)](screenshots/open-media.png) | [![](screenshots/file-browser.png)](screenshots/file-browser.png) | [![](screenshots/playing-vlc.png)](screenshots/playing-vlc.png) | [![](screenshots/playing-menu-vlc.png)](screenshots/playing-menu-vlc.png) |

### Settings

| Settings screen  | Host IP guide | Equalizer | Playback Speed |
| ---------------- | ------------- | --------- | -------------- |
| [![](screenshots/settings.png)](screenshots/settings.png) | [![](screenshots/host-ip-guide-os.png)](screenshots/host-ip-guide-os.png) | [![](screenshots/equalizer.png)](screenshots/equalizer.png) | [![](screenshots/playback-speed.png)](screenshots/playback-speed.png) |
